Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianLevel

    java.lang.Object
      com.tonbeller.jpivot.mondrian.MondrianLevel

All Implemented Interfaces:
  Decorator, Displayable, Expression, Level, Visitable, MDXElement, MDXLevel

    public class MondrianLevel

extends java.lang.Object
implements Level, MDXElement, MDXLevel

Level implementation for Mondrian. MondrianLevel is an adapter class for the Mondrian Level.

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`protected` | `MondrianLevel(mondrian.olap.Level monLevel, MondrianHierarchy hierarchy, MondrianModel model)` Constructor

Method Summary
`void` | `accept(Visitor visitor)`
`protected void` | `addMember(MondrianMember member)` add member to level
`int` | `getDepth()`
`Hierarchy` | `getHierarchy()` get the Hierarchy to which this Level belongs
`java.lang.String` | `getLabel()` name of this item
`mondrian.olap.Level` | `getMonLevel()`
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`java.lang.String` | `getUniqueName()` return the unique name of an MDX Olap element
`boolean` | `hasChildLevel()`
`boolean` | `isAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianLevel

    protected MondrianLevel(mondrian.olap.Level monLevel,
                            MondrianHierarchy hierarchy,
                            MondrianModel model)

  Constructor

  Parameters:
    `monLevel` - corresponding Mondrian Level
    `hierarchy` - parent object
    `model` - Model

Method Detail

### addMember

    protected void addMember(MondrianMember member)

  add member to level

  Parameters:
    `members` - Array of MondrianMember

### getHierarchy

    public Hierarchy getHierarchy()

  Description copied from interface: `Level`
  get the Hierarchy to which this Level belongs

  Specified by:
    `getHierarchy` in interface `Level`
  See Also:
    `Level.getHierarchy()`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `Displayable`
  name of this item

  Specified by:
    `getLabel` in interface `Displayable`

### getDepth

    public int getDepth()

  Specified by:
    `getDepth` in interface `MDXLevel`
  Returns:
    the level's depth (root level = 0)
  See Also:
    `MDXLevel.getDepth()`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getMonLevel

    public mondrian.olap.Level getMonLevel()

  Returns:
    the assigned Mondrian Level

### getUniqueName

    public java.lang.String getUniqueName()

  Description copied from interface: `MDXElement`
  return the unique name of an MDX Olap element

  Specified by:
    `getUniqueName` in interface `MDXElement`
  Returns:
    the level's unique name

### isAll

    public boolean isAll()

  Specified by:
    `isAll` in interface `MDXLevel`
  Returns:
    true, if the level is "All"
  See Also:
    `MDXLevel.isAll()`

### hasChildLevel

    public boolean hasChildLevel()

  Specified by:
    `hasChildLevel` in interface `MDXLevel`
  Returns:
    true, if the level is not Bottom level
  See Also:
    `MDXLevel.hasChildLevel()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD